%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-gd
Version:        0.56
Release:        1%{?dist}
Summary:        A python interface to the GD library written by Thomas Boutell

Group:          Development/Languages
License:        BSD
URL:            http://newcenturycomputers.net/projects/gdmodule.html 
Source0:        http://newcenturycomputers.net/projects/download.cgi/gdmodule-0.56.tar.gz
Source1:        licence-mail.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python2-devel
BuildRequires:  gd-devel

%description
python-gd is an interface to the GD library written by Thomas Boutell. 

gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and 
flood fills, and write out the result as a PNG or JPEG file. This is 
particularly useful in World Wide Web applications, where PNG and JPEG are two
of the formats accepted for inline images by most browsers.


%prep
%setup -q -n gdmodule-%{version}


%build 
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} Setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} Setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README install_notes.html  gddemo.py adventure.ttf
%{python_sitearch}/*


%changelog
* Tue Jul 27 2010 James Casey <james.casey@cern.ch> - 0.56-1%{dist}
- Initial build
